aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/scripts/lib_jump_deploy.sh
diff options
context:
space:
mode:
authorMichael Polenchuk <mpolenchuk@mirantis.com>2019-01-16 14:03:48 +0400
committerMichael Polenchuk <mpolenchuk@mirantis.com>2019-01-16 14:29:59 +0400
commit352e7bb783b5cb70a41acff26d4a7635ba9aeaec (patch)
tree1d358651be5bb3d94eef1ad3205dceaaff81c053 /mcp/scripts/lib_jump_deploy.sh
parentb9e7d9baa57594b7627556c0429ae17328f33a4d (diff)
Make shutdown only on physical nodes
Change-Id: If167e7a6bdcdccd6b6df43bd5cac54250abec61a Signed-off-by: Michael Polenchuk <mpolenchuk@mirantis.com>
Diffstat (limited to 'mcp/scripts/lib_jump_deploy.sh')
-rw-r--r--mcp/scripts/lib_jump_deploy.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/mcp/scripts/lib_jump_deploy.sh b/mcp/scripts/lib_jump_deploy.sh
index d8b62fd7c..9c4d8fb5a 100644
--- a/mcp/scripts/lib_jump_deploy.sh
+++ b/mcp/scripts/lib_jump_deploy.sh
@@ -194,7 +194,7 @@ function __apt_repos_pkgs_image {
function __cleanup_vms {
# clean up existing nodes
for node in $(${VIRSH} list --name | grep -P '\w{3}\d{2}'); do
- ${VIRSH} destroy "${node}"
+ ${VIRSH} destroy "${node}" 2>/dev/null || true
done
for node in $(${VIRSH} list --name --all | grep -P '\w{3}\d{2}'); do
${VIRSH} domblklist "${node}" | awk '/^.da/ {print $2}' | \